package xyz.wbsite.dbtool.javafx.po;

import java.io.File;
import java.util.HashSet;
import java.util.Set;

public class Api {
    private boolean check;

    //目标请求对象
    private String request;
    //目标请求响应
    private String response;
    private String module;
    private String target;
    private String method;

    private File requestFile;
    private File responseFile;

    private Set<String> depReq = new HashSet<>();
    private Set<String> depEnt = new HashSet<>();

    private String error = "";

    public boolean isCheck() {
        return check;
    }

    public void setCheck(boolean check) {
        this.check = check;
    }

    public String getRequest() {
        return request;
    }

    public void setRequest(String request) {
        this.request = request;
    }

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public File getRequestFile() {
        return requestFile;
    }

    public void setRequestFile(File requestFile) {
        this.requestFile = requestFile;
    }

    public File getResponseFile() {
        return responseFile;
    }

    public void setResponseFile(File responseFile) {
        this.responseFile = responseFile;
    }

    public Set<String> getDepReq() {
        return depReq;
    }

    public void setDepReq(Set<String> depReq) {
        this.depReq = depReq;
    }

    public Set<String> getDepEnt() {
        return depEnt;
    }

    public void setDepEnt(Set<String> depEnt) {
        this.depEnt = depEnt;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }
}
